View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001636aMuleMessagespublic2010-11-01 18:252011-03-13 16:21
Reporteradaptee 
Assigned ToGonoszTopi 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product VersionSVN 
Target Version2.3.1Fixed in Version2.3.1 
Summary0001636: one buggy message in the translation file of Chinese simplified
DescriptionThe translator has mistakenly put extra(and invalid?) modifier when translating %s, as listed below:


  #: src/CorruptionBlackBox.cpp:227
  #, c-format
  msgid ""
  "Banned client %s for sending %s corrupt data of %s total for the file '%s'"
  msgstr ""
  "????? %1$s?????? '%4$s' ????? %3$s ?? %2$s ??????

The corresponding line of code is :

   AddLogLineN(CFormat(_("Banned client %s for sending %s corrupt data of %s total for the file '%s'")) % clientName % CastItoXBytes(bad) % CastItoXBytes(good + bad) % m_fileName);


That buggy '%1$s' fails to be interpreted as an valid formatter, So the log message will be like this :

    2010-11-02 00:31:37: CorruptionBlackBox.cpp(228): ????? %1$s?????? '%4$s' ????? %3$s ?? %2$s ??????


The fix is really easy, just change those %1$s, %2$s, etc into plain %s




TagsNo tags attached.
Fixed in Revision10459
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003510)
sturedman (developer)
2010-11-07 12:55

Hmm, it's not that easy.
The translation changes the sentence so that the arguments have to be passed in a different order. That's what the modifiers are supposed to do.
See http://docs.wxwidgets.org/stable/wx_wxstring.html#wxstringprintf [^]
However CFormat does not allow this feature.

We'll discuss what to do.

- Issue History
Date Modified Username Field Change
2010-11-01 18:25 adaptee New Issue
2010-11-01 18:25 adaptee Operating System => Any
2010-11-07 12:55 sturedman Note Added: 0003510
2010-11-07 12:55 sturedman Assigned To => sturedman
2010-11-07 12:55 sturedman Status new => acknowledged
2011-03-13 16:21 sturedman Fixed in Revision => 10459
2011-03-13 16:21 sturedman Assigned To sturedman => GonoszTopi
2011-03-13 16:21 sturedman Status acknowledged => resolved
2011-03-13 16:21 sturedman Resolution open => fixed
2011-03-13 16:21 sturedman Fixed in Version => 2.3.1
2011-03-13 16:21 sturedman Target Version => 2.3.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker